Bug 854496 - MTU configuration should be disabled and blocked for 3.0 DC
MTU configuration should be disabled and blocked for 3.0 DC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Alona Kaplan
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 04:07 EDT by Moti Asayag
Modified: 2016-02-10 15:00 EST (History)
7 users (show)

See Also:
Fixed In Version: SI18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:08:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-09-05 04:07:35 EDT
Description of problem:
The MTU support is introduced for 3.1 cluster level hosts.
Currently a user can define a network on 3.1 DC and set its MTU to differ from the default value.

The MTU check box on 'Add Logical Network' dialog should be disabled for 3.0 DC (either from DC's 'Logical Networks' sub-tab or from Cluster's 'Logical Networks' sub tab)

In addition, there backend should also block/prevent from passing MTU to vdsm for 3.0 DC level.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create DC 3.0
2. Create new logical network - check the "Override MTU" checkbox
  
Actual results:
A network with configured MTU is created for 3.0 DC.

Expected results:
Action should be blocked.

Additional info:
Comment 1 Moti Asayag 2012-09-06 07:56:44 EDT
A suggested patch:

Disable MTU for 3.0 DC on engine side:
http://gerrit.ovirt.org/#/c/7813/

Disable MTU for 3.0 DC on UI:
http://gerrit.ovirt.org/#/c/7814/
Comment 3 Alona Kaplan 2012-09-10 11:53:22 EDT
upstream commit http://gerrit.ovirt.org/#/c/7908/5
Comment 5 Meni Yakove 2012-09-16 03:35:29 EDT
Tested on rhevm-3.1.0-16.el6ev.noarch.

MTU checkbox is greyed out on DC level and on cluster level.
Comment 6 Moti Asayag 2012-09-16 04:15:03 EDT
(In reply to comment #5)
> Tested on rhevm-3.1.0-16.el6ev.noarch.
> 
> MTU checkbox is greyed out on DC level and on cluster level.

That covers the bug fix on UI side. On backend side it could be verified by adding new network via rest-api and providing an mtu for a network being added to 3.0 DC.
Comment 7 Meni Yakove 2012-09-19 03:03:56 EDT
Tested with REST.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <fault>
            <reason>Operation Failed</reason>
            <detail>[Cannot add Network. Overriding MTU is not supported for this Data Center's compatibility version.]</detail>
    </fault>

Note You need to log in before you can comment on or make changes to this bug.